Bug 1492163 - [abrt] light-locker: _g_log_abort(): light-locker killed by SIGTRAP
Summary: [abrt] light-locker: _g_log_abort(): light-locker killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1fcbb2f307af9b418fc05fc5a07...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-15 15:59 UTC by smanocch
Modified: 2018-05-29 12:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:12:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (17.97 KB, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: cgroup (289 bytes, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: core_backtrace (11.35 KB, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: cpuinfo (1.23 KB, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: dso_list (8.39 KB, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: environ (1.48 KB, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: limits (1.29 KB, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: maps (37.89 KB, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: open_fds (895 bytes, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details
File: var_log_messages (366 bytes, text/plain)
2017-09-15 15:59 UTC, smanocch
no flags Details

Description smanocch 2017-09-15 15:59:04 UTC
Version-Release number of selected component:
light-locker-1.8.0-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        light-locker
crash_function: _g_log_abort
executable:     /usr/bin/light-locker
journald_cursor: s=2647ff2e5fc84f4e8ab6c1d710ac20ad;i=e9cd6;b=b2eb9615a619491ab9557f6496c0d385;m=8191f24;t=5593af9129b62;x=fc94500f032a560a
kernel:         4.12.12-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _g_log_abort at gmessages.c:549
 #1 g_log_default_handler at gmessages.c:3036
 #4 query_seat_path at gs-listener-dbus.c:2220
 #5 init_seat_path at gs-listener-dbus.c:2278
 #6 gs_listener_init at gs-listener-dbus.c:2296
 #7 g_type_create_instance at gtype.c:1866
 #8 g_object_new_internal at gobject.c:1783
 #11 gs_listener_new at gs-listener-dbus.c:2328
 #12 gs_monitor_init at gs-monitor.c:552
 #13 g_type_create_instance at gtype.c:1866

Comment 1 smanocch 2017-09-15 15:59:09 UTC
Created attachment 1326544 [details]
File: backtrace

Comment 2 smanocch 2017-09-15 15:59:11 UTC
Created attachment 1326545 [details]
File: cgroup

Comment 3 smanocch 2017-09-15 15:59:13 UTC
Created attachment 1326546 [details]
File: core_backtrace

Comment 4 smanocch 2017-09-15 15:59:14 UTC
Created attachment 1326547 [details]
File: cpuinfo

Comment 5 smanocch 2017-09-15 15:59:17 UTC
Created attachment 1326548 [details]
File: dso_list

Comment 6 smanocch 2017-09-15 15:59:19 UTC
Created attachment 1326549 [details]
File: environ

Comment 7 smanocch 2017-09-15 15:59:20 UTC
Created attachment 1326550 [details]
File: limits

Comment 8 smanocch 2017-09-15 15:59:23 UTC
Created attachment 1326551 [details]
File: maps

Comment 9 smanocch 2017-09-15 15:59:25 UTC
Created attachment 1326552 [details]
File: open_fds

Comment 10 smanocch 2017-09-15 15:59:26 UTC
Created attachment 1326553 [details]
File: proc_pid_status

Comment 11 smanocch 2017-09-15 15:59:28 UTC
Created attachment 1326554 [details]
File: var_log_messages

Comment 12 Raphael Groner 2017-09-20 20:55:01 UTC
Thanks for your report. Can you reproduce the issue? What did you do?

Comment 13 Raphael Groner 2017-11-30 09:25:55 UTC
>  #11 gs_listener_new at gs-listener-dbus.c:2328
> #12 gs_monitor_init at gs-monitor.c:552

This backtrace lets guess reporter plugged another monitor and the bug is somewhere in Gtk. Reassigning in the hope of more helpfulness from the Gtk maintainers.

Comment 14 Fedora End Of Life 2018-05-03 08:48:47 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 12:12:02 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.